unit Prog1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Buttons, StdCtrls;

type
  TForm1 = class(TForm)
    SpeedButton1: TSpeedButton;
    Timer1: TTimer;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    Label1: TLabel;
    procedure SpeedButton1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

const
   Vid1: byte = 0;

var
  Buffer: TBitmap;
  P: PByteArray;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  if Vid1 = 1 then Vid1:= 0 else Vid1:= 1;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var
  X,Y: integer;
begin
  if Vid1 = 1 then begin
    for Y:= 0 to Buffer.height -1 do begin
      P:= Buffer.ScanLine[Y];
      for X:= 0 to (Buffer.width *3)-1 do
        P[X]:= Random(255);
    end;
    Canvas.Draw(0,0,Buffer);
  end;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  Buffer.Free;
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
var
  X,Y: integer;
  R,G,B: byte;
begin
  R:= Random(255); G:= Random(255); B:= Random(255);
  for Y:= 0 to Buffer.height -1 do begin
    P:= Buffer.ScanLine[Y];
    for X:= 0 to Buffer.width -1 do begin
       P[X*3]:= R; P[X*3+1]:= G; P[X*3+2]:= B;
       end;
  end;
  Canvas.Draw(0,0,Buffer);
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
    Buffer:= TBitmap.Create;
    Buffer.LoadFromFile('padrao2.bmp');
    Buffer.Width:= Form1.ClientWidth;
    Buffer.Height:= Form1.ClientHeight - 35;
end;


procedure TForm1.SpeedButton3Click(Sender: TObject);
var
  X,Y: integer;
  Z: DWord;
begin
  Z:= Random(255)*65536 + Random(255)*256 + Random(255);
  for Y:= 0 to ClientHeight -36 do begin
    for X:= 0 to ClientWidth -1 do
      Canvas.Pixels[X,Y]:= Z;
  end;
end;

procedure TForm1.SpeedButton4Click(Sender: TObject);
var
  X,Y: integer;
  Z: DWord;
begin
  Z:= Random(255)*65536 + Random(255)*256 + Random(255);
  for Y:= 0 to Buffer.Height -1 do begin
    for X:= 0 to Buffer.Width -1 do
      Buffer.Canvas.Pixels[X,Y]:= Z;
  end;
  Canvas.Draw(0,0,Buffer);
end;

end.
